package Scorch.gui;

/*
  Class:  AutoDefenseWnd
  Author: Mikhail Kruk
  Desciption: similar to inventory, but used for autodefense only
*/

import java.awt.*;
import java.awt.event.*;
import java.util.Vector;

import Scorch.*;
import Scorch.Items.*;
import swindows.*;

public class AutoDefenseWnd extends Inventory
{
    public AutoDefenseWnd(ScorchApplet owner)
    {
	super(owner, "Auto Defense System");
    }

    protected void loadPanels(Vector panels)
    {
	Vector items = myPlayer.getItems(), adItems = new Vector();

	// choose items which are 'autodefensable'
	for(int i = 0; i < items.size(); i++)
	    if( ((Item)items.elementAt(i)).autoDefense() )
		adItems.addElement((Item)items.elementAt(i));

	loadPanels(panels, adItems);
    }
    
    public void actionPerformed(ActionEvent evt)
    {
	((ScorchApplet)owner).sendEOT("AutoDefense");
	close();
	return;
    }
}
